#ifndef _RESOLVER_H_

#define _RESOLVER_H_

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <netdb.h>
#include <adns.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "parse.h"
#include "chunkyircd.h"
#include "config_file.h"

/* Flags */
#define RES_HOST 	1
#define RES_IDENT 	2

#define RES_REVERSE 	4
#define RES_CACHED 	8

/* Structures */
struct _lookup {
	int id;
	int flags;
	adns_query query;
	unsigned int ip;
	struct _lookup *next;
};

typedef struct _lookup *LookupInfo;


int resolver_init();
int resolver_submit(char *);
int resolver_submit_reverse(unsigned int);
int resolver_cancel(int);
char *resolver_check(int);
int cache_flush();

#endif
